curl -X 'POST' \
'https://api.onekhusa.com/sandbox/v1/disbursements/batch/getBatches' \
--header 'accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer your-jwt-token' \
--header 'Accept-Language: en' \
-d '{
"merchantAccountNumber": 12345678,
"batchDate": "2025-09-26",
"pageNumber": 1,
"numberOfReturnedRows": 20,
"isIncremental": true,
"searchBy": "CapturedBy":
"searchText": "j1LgGY"
}'import requests
url = "https://api.onekhusa.com/sandbox/v1/disbursements/batch/getBatches"
payload = {
"merchantAccountNumber": 12345678,
"batchDate": "2025-09-26",
"pageNumber": 1,
"numberOfReturnedRows": 20,
"isIncremental": True,
"searchBy": "CapturedBy",
"searchText": "admin@onekhusa.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
merchantAccountNumber: 12345678,
batchDate: '2025-09-26',
pageNumber: 1,
numberOfReturnedRows: 20,
isIncremental: true,
searchBy: 'CapturedBy',
searchText: 'admin@onekhusa.com'
})
};
fetch('https://api.onekhusa.com/sandbox/v1/disbursements/batch/getBatches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"batchNumber": 2024001,
"capturedBy": "johndoe@onekhusa.com",
"dateCaptured": "2024-01-15",
"batchStatusCode": "A",
"batchStatusDescription": "Approved",
"processDate": "2024-01-15",
"isBatchScheduled": false,
"numberOfTransactions": 100
}
]"<string>"Get Batches
This endpoint retrieves a list of batch disbursements for a specific merchant account with optional filtering and pagination capabilities.
curl -X 'POST' \
'https://api.onekhusa.com/sandbox/v1/disbursements/batch/getBatches' \
--header 'accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer your-jwt-token' \
--header 'Accept-Language: en' \
-d '{
"merchantAccountNumber": 12345678,
"batchDate": "2025-09-26",
"pageNumber": 1,
"numberOfReturnedRows": 20,
"isIncremental": true,
"searchBy": "CapturedBy":
"searchText": "j1LgGY"
}'import requests
url = "https://api.onekhusa.com/sandbox/v1/disbursements/batch/getBatches"
payload = {
"merchantAccountNumber": 12345678,
"batchDate": "2025-09-26",
"pageNumber": 1,
"numberOfReturnedRows": 20,
"isIncremental": True,
"searchBy": "CapturedBy",
"searchText": "admin@onekhusa.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
merchantAccountNumber: 12345678,
batchDate: '2025-09-26',
pageNumber: 1,
numberOfReturnedRows: 20,
isIncremental: true,
searchBy: 'CapturedBy',
searchText: 'admin@onekhusa.com'
})
};
fetch('https://api.onekhusa.com/sandbox/v1/disbursements/batch/getBatches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"batchNumber": 2024001,
"capturedBy": "johndoe@onekhusa.com",
"dateCaptured": "2024-01-15",
"batchStatusCode": "A",
"batchStatusDescription": "Approved",
"processDate": "2024-01-15",
"isBatchScheduled": false,
"numberOfTransactions": 100
}
]"<string>"Authorizations
Bearer authentication header of the form Bearer Token, Where accessToken is the access token used to authenticate the request.
Headers
Preferred language for the response
Body
Required string length: 8
10000000 <= x <= 99999999Date filter for batch creation date (YYYY-MM-DD)
Page number for pagination (starts from 1)
Number of records per page
If true, includes previous pages; if false, only current page
Field to search by. Supported fields: CapturedBy, ReviewedBy, ApprovedBy, BatchStatus, BatchStatusDescription
CapturedBy, ReviewedBy, ApprovedBy, BatchStatus, BatchStatusDescription Text to search for
Response
Success Response (200)
A unique integer identifier that represents a batch of disbursement transactions in the system.
Required range: x > 0
A unique integer identifier for the disbursement batch.
Email address of the user who created the batch.
"johndoe@onekhusa.com"
Date when the batch was created and submitted.
Single-character code for batch status. Values: "A" - Approved, "P" - Pending, "E" - Error, "F" - Failed, "N" - Cancelled, "X" - Rejected, "C" - Completed.
Human-readable description of the batch status. Examples: "Approved", "Processed", "Pending Review".
Date when the batch was processed for disbursement.
Boolean flag indicating if the batch is scheduled for future processing.
Number of transactions in the batch